# array-binarysearch.closest

[![NPM](https://nodei.co/npm/array-binarysearch.closest.png)](https://nodei.co/npm/array-binarysearch.closest/)

Get index of closest value in [sorted] [array].
> Use [array-binarysearch], if index of value is needed.

```javascript
const binarySearch = require('array-binarysearch.closest');
// binarySearch(<array>, <value>, [begin=0], [end=array.length])

binarySearch([21, 42, 91, 91], 40);
// 1
binarySearch([21, 42, 91, 91], 42, 2);
// 2
binarySearch([21, 42, 91, 91], 92, 2, 4);
// 4
```


[sorted]: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/sort
[array]: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Indexed_collections
[array-binarysearch]: https://www.npmjs.com/package/array-binarysearch
